<manifest version="2.0" type="device" target-level="5">
    <hal format="hidl">
        <name>android.hardware.audio</name>
        <transport>hwbinder</transport>
        <fqname>@6.0::IDevicesFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.audio.effect</name>
        <transport>hwbinder</transport>
        <fqname>@6.0::IEffectsFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.biometrics.fingerprint</name>
        <transport>hwbinder</transport>
        <fqname>@2.1::IBiometricsFingerprint/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.bluetooth</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IBluetoothHci/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.bluetooth.audio</name>
        <transport>hwbinder</transport>
        <fqname>@2.0::IBluetoothAudioProvidersFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.camera.provider</name>
        <transport>hwbinder</transport>
        <fqname>@2.4::ICameraProvider/legacy/0</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.drm</name>
        <transport>hwbinder</transport>
        <fqname>@1.3::ICryptoFactory/wfdhdcp</fqname>
        <fqname>@1.3::IDrmFactory/wfdhdcp</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.gatekeeper</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IGatekeeper/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.keymaster</name>
        <transport>hwbinder</transport>
        <fqname>@4.1::IKeymasterDevice/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.media.omx</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IOmx/default</fqname>
        <fqname>@1.0::IOmxStore/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.memtrack</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IMemtrack/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.nfc</name>
        <transport>hwbinder</transport>
        <fqname>@1.2::INfc/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.radio</name>
        <transport>hwbinder</transport>
        <fqname>@1.2::ISap/slot1</fqname>
        <fqname>@1.2::ISap/slot2</fqname>
        <fqname>@1.5::IRadio/slot1</fqname>
        <fqname>@1.5::IRadio/slot2</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.radio.config</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IRadioConfig/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.secure_element</name>
        <transport>hwbinder</transport>
        <fqname>@1.2::ISecureElement/SIM1</fqname>
        <fqname>@1.2::ISecureElement/SIM2</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.soundtrigger</name>
        <transport>hwbinder</transport>
        <fqname>@2.3::ISoundTriggerHw/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.tetheroffload.config</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IOffloadConfig/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.tetheroffload.control</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IOffloadControl/default</fqname>
    </hal>
    <hal format="hidl">
        <name>com.dsi.ant</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IAnt/default</fqname>
    </hal>
    <hal format="hidl">
        <name>com.motorola.hardware.display.panel</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IDisplayPanel/default</fqname>
    </hal>
    <hal format="hidl">
        <name>com.motorola.hardware.display.touch</name>
        <transport>hwbinder</transport>
        <fqname>@1.2::IMotTouch/default</fqname>
    </hal>
    <hal format="hidl">
        <name>com.qualcomm.qti.dpm.api</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IdpmQmi/dpmQmiService</fqname>
    </hal>
    <hal format="hidl">
        <name>com.qualcomm.qti.imscmservice</name>
        <transport>hwbinder</transport>
        <fqname>@2.2::IImsCmService/qti.ims.connectionmanagerservice</fqname>
    </hal>
    <hal format="hidl">
        <name>com.qualcomm.qti.uceservice</name>
        <transport>hwbinder</transport>
        <fqname>@2.3::IUceService/com.qualcomm.qti.uceservice</fqname>
    </hal>
    <hal format="hidl">
        <name>motorola.hardware.camera.desktop</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ICameraDesktop/default</fqname>
        <fqname>@2.0::ICameraDesktop/default</fqname>
    </hal>
    <hal format="hidl">
        <name>motorola.hardware.camera.imgtuner</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IImageTuning/default</fqname>
        <fqname>@2.0::IImageTuning/default</fqname>
    </hal>
    <hal format="hidl">
        <name>motorola.hardware.fdrcontrol</name>
        <transport>hwbinder</transport>
        <fqname>@1.2::IFdrControl/default</fqname>
    </hal>
    <hal format="hidl">
        <name>motorola.hardware.fmradio</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IMotFMRadio/default</fqname>
    </hal>
    <hal format="hidl">
        <name>motorola.hardware.health</name>
        <transport>hwbinder</transport>
        <fqname>@2.0::IMotHealth/default</fqname>
    </hal>
    <hal format="hidl">
        <name>motorola.hardware.health.storage</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IMotStorage/default</fqname>
    </hal>
    <hal format="hidl">
        <name>motorola.hardware.wifi.supplicant</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::ISupplicantMot/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.data.factory</name>
        <transport>hwbinder</transport>
        <fqname>@2.2::IFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.alarm</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IAlarm/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.bluetooth_audio</name>
        <transport>hwbinder</transport>
        <fqname>@2.0::IBluetoothAudioProvidersFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.bluetooth_sar</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IBluetoothSar/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.btconfigstore</name>
        <transport>hwbinder</transport>
        <fqname>@2.0::IBTConfigStore/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.cacert</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IService/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.camera.postproc</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IPostProcService/camerapostprocservice</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.capabilityconfigstore</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ICapabilityConfigStore/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.data.connection</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IDataConnection/slot1</fqname>
        <fqname>@1.1::IDataConnection/slot2</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.data.iwlan</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IIWlan/slot1</fqname>
        <fqname>@1.0::IIWlan/slot2</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.data.latency</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ILinkLatency/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.dsp</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IDspService/dspservice</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.eid</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IEid/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.embmssl</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IEmbms/embmsslServer0</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.fm</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IFmHci/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.perf</name>
        <transport>hwbinder</transport>
        <fqname>@2.2::IPerf/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.am</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IQcRilAudio/slot1</fqname>
        <fqname>@1.0::IQcRilAudio/slot2</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.ims</name>
        <transport>hwbinder</transport>
        <fqname>@1.9::IImsRadio/imsradio0</fqname>
        <fqname>@1.9::IImsRadio/imsradio1</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.internal.deviceinfo</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IDeviceInfo/deviceinfo</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.lpa</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IUimLpa/UimLpa0</fqname>
        <fqname>@1.1::IUimLpa/UimLpa1</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.qcrilhook</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IQtiOemHook/oemhook0</fqname>
        <fqname>@1.0::IQtiOemHook/oemhook1</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.qtiradio</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IQtiRadio/slot1</fqname>
        <fqname>@1.0::IQtiRadio/slot2</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.qtiradio</name>
        <transport>hwbinder</transport>
        <fqname>@2.7::IQtiRadio/slot1</fqname>
        <fqname>@2.7::IQtiRadio/slot2</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.uim</name>
        <transport>hwbinder</transport>
        <fqname>@1.2::IUim/Uim0</fqname>
        <fqname>@1.2::IUim/Uim1</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.uim_remote_client</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IUimRemoteServiceClient/uimRemoteClient0</fqname>
        <fqname>@1.0::IUimRemoteServiceClient/uimRemoteClient1</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.uim_remote_server</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IUimRemoteServiceServer/uimRemoteServer0</fqname>
        <fqname>@1.0::IUimRemoteServiceServer/uimRemoteServer1</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.sensorscalibrate</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ISensorsCalibrate/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.soter</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ISoter/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.wifi.wifilearner</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IWifiStats/wifiStats</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.wifidisplaysession</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IWifiDisplaySession/wifidisplaysession</fqname>
        <fqname>@1.0::IWifiDisplaySessionAudioTrack/wifidisplaysessionaudiotrack</fqname>
        <fqname>@1.0::IWifiDisplaySessionImageTrack/wifidisplaysessionimagetrack</fqname>
        <fqname>@1.0::IWifiDisplaySessionVideoTrack/wifidisplaysessionvideotrack</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.ims.callinfo</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IService/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.ims.factory</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IImsFactory/default</fqname>
        <fqname>@2.2::IImsFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.imsrtpservice</name>
        <transport>hwbinder</transport>
        <fqname>@3.0::IRTPService/imsrtpservice</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.power.pasrmanager</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.qspmhal</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IQspmhal/default</fqname>
    </hal>
</manifest>
